# Solfege - free ear training software
# Copyright (C) 2007, 2008 Tom Cato Amundsen
# License is GPL, see file COPYING

import unittest

import glob
import os.path
# We have to filter out the tests in test_cfg because it changes
modules = [os.path.splitext(os.path.basename(x))[0] \
           for x in glob.glob("src/tests/test_*.py") if 'test_cfg' not in x]

for m in modules:
    exec "import %s" % m
suite = unittest.TestSuite([globals()[m].suite for m in modules])
